# Copyright 2022 (c) Anna Schumaker.
"""Test our button helper classes."""
import unittest
import emmental.buttons
from gi.repository import Gtk


class TestPopoverButton(unittest.TestCase):
    """Test a Popover Button."""

    def setUp(self):
        """Set up common variables."""
        self.button = emmental.buttons.PopoverButton()

    def test_button(self):
        """Test that the popover button is configured correctly."""
        self.assertIsInstance(self.button, Gtk.MenuButton)
        self.assertIsInstance(self.button.get_popover(), Gtk.Popover)

    def test_popover_child(self):
        """Test setting a child widget to the popover button."""
        self.assertIsNone(self.button.popover_child)
        self.button.popover_child = Gtk.Label()
        self.assertEqual(self.button.get_popover().get_child(),
                         self.button.popover_child)

        button2 = emmental.buttons.PopoverButton(popover_child=Gtk.Label())
        self.assertIsInstance(button2.popover_child, Gtk.Label)
        self.assertEqual(button2.get_popover().get_child(),
                         button2.popover_child)

    def test_popdown(self):
        """Test the popdown() function."""
        self.button.popdown()
