# Copyright 2022 (c) Anna Schumaker
"""Tests our string formatting functions."""
import unittest
from emmental import format


class TestFormatter(unittest.TestCase):
    """Tests our formatting functions."""

    def test_search(self):
        """Test formatting a case-insensitive search query."""
        self.assertIsNone(format.search(""))
        self.assertIsNone(format.search("    "))
        self.assertEqual(format.search(" TeSt "), "*test*")
        self.assertEqual(format.search("*Test*"), "*test*")
        self.assertEqual(format.search("^Test*"), "test*")
        self.assertEqual(format.search("^*Test*"), "*test*")
        self.assertEqual(format.search("*Test$"), "*test")
        self.assertEqual(format.search("^"), "*")
        self.assertEqual(format.search("$"), "*")
