# Copyright 2022 (c) Anna Schumaker.
"""Tests our custom Path class."""
import pathlib
import unittest
import emmental.path


class TestPath(unittest.TestCase):
    """Test our path module."""

    def test_from_uri(self):
        """Test getting a path from a uri."""
        p = emmental.path.from_uri("file:///a/b/c.txt")
        self.assertIsInstance(p, pathlib.Path)
        self.assertEqual(str(p), "/a/b/c.txt")

        p = emmental.path.from_uri("file:///a/b%20c/d.txt")
        self.assertEqual(str(p), "/a/b c/d.txt")

        p = emmental.path.from_uri("/a/b/c.txt")
        self.assertEqual(str(p), "/a/b/c.txt")
